<?php
/*
Plugin Name: Filosofo Highlight Current Category
Plugin URI: http://www.ilfilosofo.com/blog/2005/10/27/highlight-current-category
Description: Adds the class "current-cat" to a category link, if someone is browsing the archives under that category.  Thanks to Amanzimtoti's suggestion on the <a href="http://comox.textdrive.com/pipermail/wp-testers/2005-October/000519.html">WordPress testers list</a>.    
Version: 1
Author: Austin Matzko
Author URI: http://www.ilfilosofo.com/blog/
*/

/*  Copyright 2005  Austin Matzko  (email : if.website at gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/*

Installation instructions: upload into your WordPress plugins directory, and activate!

*/

function wp_current_category_class_attribute ($thelist) {
	if (!('' == single_cat_title('', FALSE))) {
		$string = '/(<a href.*)(>.*' . single_cat_title('', FALSE) . ')/';
		return preg_replace("$string"," $1 class=\"current-cat\" $2",$thelist);
	}
	else return $thelist;
}
add_filter('list_cats','wp_current_category_class_attribute'); 

?>